# NOTE: usbutils>=008 requires udev; for udevless usage use usbutils-007
Summary:	Linux USB utilities
Summary(pl.UTF-8):	Linuksowe narzędzia do USB
Summary(pt_BR.UTF-8):	Utilitários Linux USB
Name:		usbutils
Version:	017
Release:	1%{?tld}
License:	GPL v2+
Group:		Applications/System
Source0:	https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz
# Source0-md5:	8ff21441faf2e8128e4810b3d6e49059
Patch0:		hwdata.patch
URL:		http://www.linux-usb.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0.14
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.507
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel >= 1:196
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libusb >= 1.0.14
Requires:	udev-core >= 1:196
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
usbutils contains a utility for inspecting devices connected to the
USB bus.

%description -l pl.UTF-8
Pakiet usbutils zawiera narzędzie do przeglądania urządzeń
podłączonych do szyny USB.

%description -l pt_BR.UTF-8
Este pacote contém utilitários para inspecionar dispositivos
conectados a um barramento USB.

%package devel
Summary:	Development files for usbutils
Summary(pl.UTF-8):	Pliki programistyczne usbutils
Group:		Development/Libraries

%description devel
Development files for usbutils.

%description devel -l pl.UTF-8
Pliki programistyczne usbutils.

%package python
Summary:	Python based lsusb program
Summary(pl.UTF-8):	Program lsusb napisany w Pythonie
Group:		Applications/System
Requires:	hwdata >= 0.249

%description python
Python based lsusb program.

%description python -l pl.UTF-8
Program lsusb napisany w Pythonie.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' lsusb.py.in

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd usbhid-dump
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/lsusb
%attr(755,root,root) %{_bindir}/usb-devices
%attr(755,root,root) %{_bindir}/usbhid-dump
%{_mandir}/man1/usb-devices.1*
%{_mandir}/man8/lsusb.8*
%{_mandir}/man8/usbhid-dump.8*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/usbutils.pc

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lsusb.py
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/usbutils.git;a=log;h=master

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> aab6f8a
- up to 017

* Sun Oct 22 2023 Jan Palus <atler@pld-linux.org> 0a03194
- up to 016

* Mon Dec 05 2022 Jan Palus <atler@pld-linux.org> da6382f
- up to 015

* Sun Aug 08 2021 Jan Palus <atler@pld-linux.org> 105c8df
- up to 014

* Mon Oct 26 2020 Jan Palus <atler@pld-linux.org> b6bf114
- up to 013

* Sun Jun 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 39ed4be
- updated to 012
- updated hwdata patch
- removed obsolete python3 patch

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> da55ee4
- updated to 010
- updated hwdata patch
- added python3 patch (fix python3 port of lsusb.py), package lsusb.py in -python subpackage
- since 008 only lsusb.py uses hwdata usb.ids; base utilities use udev API

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> ba3d736
- updated deps
- rel 1, live with it

* Thu Apr 14 2016 Elan Ruusamäe <glen@delfi.ee> 8ba2dd3
- rel 0.1

* Thu Apr 14 2016 Marcin Krol <hawk@tld-linux.org> 0a4a3ec
- updated to 008

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> fb02e25
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 13c3865
- updated to 007
- disable usb.ids check for now (provided usb.ids has only a few more IDs than hwdata 0.249)

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> ed8b032
- added hwdata_check bcond

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 739abb6
- override datadir, lsusb.c uses DATADIR to locate usb.ids

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 01497d8
- use /lib/hwdata for early boot access

* Tue Jan 22 2013 Elan Ruusamäe <glen@delfi.ee> ef10530
- update hwdata path

* Sat Jan 19 2013 Elan Ruusamäe <glen@delfi.ee> 0ccdd76
- use system hwdata package

* Fri Jul 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a0c31a2
- up to 006

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f97dac
- updated to 004

* Thu Jun 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dd84be1
- up to 003

